DROP TABLE SEGV_DATA_ATUALIZACAO CASCADE CONSTRAINTS;

CREATE TABLE SEGV_DATA_ATUALIZACAO
(
  DATA_DO_RAW                DATE,
  MANUTENCAO                 CHAR(1 BYTE)        NOT NULL,
  QTD_REGISTROS              NUMBER,
  QTD_LINHAS                 NUMBER,
  PROGRAMA                   VARCHAR2(25 BYTE)
)
TABLESPACE CATALOG_TAB01
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE SEGV_DATA_ATUALIZACAO IS 'CATALOGAÇÃO - TABELA RESPONSÁVEL PARA GUARDAR OS DADOS DE IMPORTAÇÃO DO SEGMENTO V - RAW DATA - Autor: 1T(T) Anders';

COMMENT ON COLUMN SEGV_DATA_ATUALIZACAO.DATA_DO_RAW IS 'DATA QUE FOI RECEBIDO O DVD DO CECADE';

COMMENT ON COLUMN SEGV_DATA_ATUALIZACAO.MANUTENCAO IS 'T: QUANDO ESTIVER OCORRENDO A IMPORTACAO A TABLE ESTARA VAZIA, F: IMPORTACAO CONCLUIDA E PRONTO PARA CONSULTA';

COMMENT ON COLUMN SEGV_DATA_ATUALIZACAO.QTD_REGISTROS IS 'QUANTIDADE DE REGISTROS UNICOS QUE O ARQUIVO POSSUI';

COMMENT ON COLUMN SEGV_DATA_ATUALIZACAO.QTD_LINHAS IS 'QUANTIDADE DE LINHAS QUE O ARQUIVO POSSUI';

COMMENT ON COLUMN SEGV_DATA_ATUALIZACAO.PROGRAMA IS 'PROGRAMA DO SEGMENTO';